Last Comment Bug 765478 - IonMonkey: Assertion failure: unexpected type, at ion/Lowering.cpp:862
: IonMonkey: Assertion failure: unexpected type, at ion/Lowering.cpp:862
Status: RESOLVED FIXED
[jsbugmon:update,ignore]
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: Nicolas B. Pierron [:nbp]
:
:
Mentors:
Depends on:
Blocks: langfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-06-16 05:09 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 08:06 PST (History)
7 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Abort the compilation when we convert Undefined to an Int (1.33 KB, patch)
2012-06-19 03:45 PDT, Nicolas B. Pierron [:nbp]
dvander: review+
Details | Diff | Splinter Review

Description Christian Holler (:decoder) 2012-06-16 05:09:12 PDT
The following testcase asserts on ionmonkey revision de23a9fc29db (run with --ion -n -m --ion-eager):


test();
function test() {
    var input = arguments[undefined];
}
Comment 1 Nicolas B. Pierron [:nbp] 2012-06-19 03:45:49 PDT
Created attachment 634333 [details] [diff] [review]
Abort the compilation when we convert Undefined to an Int

Replace NOT_REACHED assertion by an abort message during the compilation.
Comment 2 Christian Holler (:decoder) 2012-06-28 14:24:00 PDT
JSBugMon: The testcase found in this bug no longer reproduces (tried revision 3112408514c8).
Comment 3 Nicolas B. Pierron [:nbp] 2012-07-05 10:47:41 PDT
https://hg.mozilla.org/projects/ionmonkey/rev/9ce10246b6b1
Comment 4 Christian Holler (:decoder) 2013-01-14 08:06:05 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/ion/bug765478.js.

Note You need to log in before you can comment on or make changes to this bug.